@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): Roland Kamsikav (email: Roland.Kamsika@amonite.co.uk)
Rem   Contributor(s): Philippe Durieux, Anatole Tresch & Rüdiger Breit
Rem   Contributor(s): Eric Hardesty
Rem   ---------------------------------------------------------------------------
Rem   $Id: RAConfig.bat,v 1.8 2003/10/22 15:59:56 lejeuneg Exp $
Rem   ---------------------------------------------------------------------------

Rem  Check environment variables:
if not "%JONAS_ROOT%"=="" Goto Run
@echo "JONAS_ROOT must be set"
Goto End

:Run
setLocal
call %JONAS_ROOT%\bin\nt\setenv.bat
Set JAVA_OPTS=%JAVA_OPTS% -Dinstall.root="%JONAS_ROOT%"
Set JONAS_LIB=%JONAS_ROOT%\lib

if not exist %JONAS_LIB%\jonas.jar goto manyjars
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\jonas.jar
goto setex

:manyjars
Set CLASSPATH=%CLASSPATH%;%JONAS_LIB%\common\ow_jonas_bootstrap.jar;%JONAS_LIB%\common\xml\xerces\xercesImpl.jar;%JONAS_LIB%\common\ow_jonas.jar;%JONAS_LIB%\common\log\log4j\log4j.jar;%JONAS_LIB%\common\log\ow_monolog.jar

:setex

%JAVA% %JAVA_OPTS% -cp %CLASSPATH% org.objectweb.jonas.resource.RAConfig %1 %2 %3 %4 %5 %6 %7 %8 %9

:End
